%define upstream_name    Pod-Tidy
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Reformat Pod to be nicely line wrapped
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(Encode::Newlines)
BuildRequires: perl(File::Copy)
BuildRequires: perl(IO::String)
BuildRequires: perl(Pod::Find)
BuildRequires: perl(Pod::Simple)
BuildRequires: perl(Pod::Wrap)
BuildRequires: perl(Test::Cmd)
BuildRequires: perl(Text::Glob)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
This module provides the _heavy lifting_ needed by the 'podtidy' utility
although the API should be general enough that it can be used directly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/podtidy
/usr/share/man/man1/podtidy.1.xz



%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-3.mga6
+ Revision: 1032333
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.100.0-2.mga6
+ Revision: 949942
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 pterjan <pterjan> 0.100.0-1.mga5
+ Revision: 791925
- imported package perl-Pod-Tidy


* Sun Oct 19 2014 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
